Subject: Re: [PATCH v2 0/3] sparse-checkout file handle leak fix

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 6 Sep 2024 11:25:24 +0200

On Thu, Sep 05, 2024 at 11:45:57PM -0400, Jeff King wrote:
> Here's a re-roll that fixes the use-after-free of the lock filename that
> Patrick noticed. I pulled the error-checking fix into its own patch
> (patch 2 here), and did Junio's suggested "goto out" as preparation in
> patch 1. Patch 3 is the leak fix.
> 
> Range diff is below, but it's much harder to read than just looking at
> the updated patch 3.
> 
> Thanks both for review on round 1.

Thanks for going the extra steps! This version looks good to me.

Patrick